Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.util
Class Tokenizer

    java.lang.Object
      com.hp.hpl.jena.util.Tokenizer

    public class Tokenizer

extends java.lang.Object

A tokenizer, similar to java's StringTokenizer but allows for quoted character strings which can include other separators.

Version:
  $Revision: 1.10 $ on $Date: 2008/01/02 12:07:43 $
Author:
  Dave Reynolds

Constructor Summary
`Tokenizer(java.lang.String str, java.lang.String delim, java.lang.String literalDelim, boolean returnDelims)` Constructor.

Method Summary
`boolean` | `hasMoreTokens()` Test if there are more tokens which can be returned.
`static void` | `main(java.lang.String[] args)`
`java.lang.String` | `nextToken()` Return the next token.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tokenizer

    public Tokenizer(java.lang.String str,
                     java.lang.String delim,
                     java.lang.String literalDelim,
                     boolean returnDelims)

  Constructor.

  Parameters:
    `str` - the source string to be parsed
    `delim` - The set of delimiter characters
    `literalDelim` - Literal string delimiters
    `returnDelims` - If true then delimiters should be returned as tokens

Method Detail

### nextToken

    public java.lang.String nextToken()

  Return the next token.

  Throws:
    `java.util.NoSuchElementException` - if there are no more tokens available

### hasMoreTokens

    public boolean hasMoreTokens()

  Test if there are more tokens which can be returned.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP